Config::Any::JSON(3)

NAME
Config::Any::JSON - Load JSON config files

DESCRIPTION
Loads JSON files. Example:

    {
        "name": "TestApp",
        "Controller::Foo": {
            "foo": "bar"
        },
        "Model::Baz": {
            "qux": "xyzzy"
        }
    }

METHODS

  extensions( )
return an array of valid extensions ("json", "jsn").

  load( $file )
Attempts to load $file as a JSON file.

  requires_any_of( )
Specifies that this modules requires one of, JSON::DWIW, JSON::XS, JSON::Syck or JSON in order to work.

AUTHOR
Brian Cassidy <bricas@cpan.org>

COPYRIGHT AND LICENSE
Copyright 2006-2016 by Brian Cassidy

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO

•   Catalyst

•   Config::Any

•   JSON::DWIW

•   JSON::XS

•   JSON::Syck

•   JSON